package _VisualDVM.ComponentsServer.UserAccount.UI;
import Common.Visual.TextField.StyledTextField;
import Common.Visual.Windows.Dialog.DialogFields;
import _VisualDVM.ComponentsServer.UserAccount.AccountRole;

import javax.swing.*;
import java.awt.*;
public class UserAccountFields implements DialogFields {
    public JTextField tfName;
    public JTextField tfAddress;
    public JCheckBox cbMail;
    public JComboBox cbRole;
    private JPanel content;
    private void createUIComponents() {
        // TODO: place custom component creation code here
        tfName = new StyledTextField();
        tfAddress = new StyledTextField();
        cbRole = new JComboBox<>();
        cbRole.addItem(AccountRole.User);
        cbRole.addItem(AccountRole.Student);
        cbRole.addItem(AccountRole.Developer);
        cbRole.addItem(AccountRole.Admin);
    }
    @Override
    public Component getContent() {
        return content;
    }
}
